Attribute VB_Name = "QTask3Modul"


' Copyright (C) 2002-2004 Jan Vorel
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

' If you have any questions, suggestions or bug reports about this product,
' contact me: info@ctuser.net; Do not contact me about general B.A.S.I.C.
' language or A.P.I. issues













Option Explicit
Option Base 0

Public Declare Function SetWindowLongA Lib "user32" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Public Declare Function GetWindowLongA Lib "user32" (ByVal hwnd As Long, ByVal nIndex As Long) As Long

Private Declare Function CallWindowProc Lib "user32" Alias "CallWindowProcA" (ByVal lpPrevWndFunc As Long, ByVal hwnd As Long, ByVal msg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Public lpPrevWndProc As Long
Public xIsFreeing As Boolean
'Public xTimer1 As Boolean
Public xTimer2 As Boolean

Public Sub eTimerEvent()
Static xTimer1 As Boolean

If xTimer1 Then
  If Not xTimer2 Then
    xTimer2 = True
    fMain.eRefreshTimer
    xTimer2 = False
    End If
  Else
  xTimer1 = True
  fMain.eRefreshTimer
  xTimer1 = False
  End If

'xTimer1 = True
'fMain.eRefreshTimer
'xTimer1 = False
End Sub

Public Function WindowProc2(ByVal hw As Long, ByVal uMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
If uMsg = &H312& And (wParam = &HBF23& Or wParam = &HBF61& Or wParam = &HBF2D& Or wParam = &HBF60&) Then fMain.PopupNow
'If uMsg = &H312& And (wParam = &HBF22& Or wParam = &HBF63&) And Not xIsFreeing Then fMain.eButtonFreeUp.Value = 1
If uMsg = &H312& And (wParam = &HBF22& Or wParam = &HBF63&) And Not xIsFreeing Then fMain.eButtonFreeUp_Click

WindowProc2 = CallWindowProc(lpPrevWndProc, hw, uMsg, wParam, lParam)
End Function


